FEM Analysis/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "==Программирование==")
(Created page with "Примеры:")
Line 66: Line 66:
}}
}}


Примеры:
Examples:
{{Code|code=
{{Code|code=
import MechanicalAnalysis
import MechanicalAnalysis

Revision as of 06:13, 16 August 2022

FEM Analysis

Системное название
FEM Analysis
Расположение в меню
Model → Блок анализа
Верстаки
FEM
Быстрые клавиши
N A
Представлено в версии
-
См. также
FEM tutorial

Описание

The FEM Analysis could be seen as a Container that holds all objects of a Finite Element Analysis. It is mandatory to have a analysis container which holds all the needed objects. At least one of the following objects is needed for a mechanical analysis:

Применение

  1. There are several ways to invoke the command:
    • Press the FEM Analysis button.
    • Select the Model → Analysis container‏‎ option from the menu.
    • Use the keyboard shortcut: S then A.
  2. A new Analysis is created and set to active.
  3. Other objects could be added or removed to the analysis container by drag and drop.
  4. To add new FEM Objects to the document the analysis has to be active. Double click on the analysis does activate the analysis.

Опции

  • Up to date there is no option to choose.
  • A frequency analysis in in development. See [1] for more informations.

Свойства

  • ДанныеOutpuDir: Specifies the working directory of the analysis

Программирование

most code here is depreciated in 0.17.

  • new analysis
MechanicalAnalysis.makeMechanicalAnalysis( name )
  • add object to the analysis
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [ (object) ]
  • remove object from the analysis
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove( documentobject )
 App.ActiveDocument.MechanicalAnalysis.Member = member

Примеры:

import MechanicalAnalysis
analysis = MechanicalAnalysis.makeMechanicalAnalysis("MechanicalAnalysis")
FemGui.setActiveAnalysis(analysis)

addobj = App.ActiveDocument.getObject("MechanicalMaterial")
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [addobj]

removeobj = App.ActiveDocument.getObject("MechanicalMaterial")
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove(removeobj)
App.ActiveDocument.MechanicalAnalysis.Member = member